# DataExchange
TKSTEP209
StepFEA

# StepFEA_Array1OfDegreeOfFreedom Class Reference

`#include <StepFEA_Array1OfDegreeOfFreedom.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_Array1OfDegreeOfFreedom (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_Array1OfDegreeOfFreedom (const StepFEA_DegreeOfFreedom &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepFEA_DegreeOfFreedom &V)
Standard_EXPORT void | Destroy ()
| ~StepFEA_Array1OfDegreeOfFreedom ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepFEA_Array1OfDegreeOfFreedom & | Assign (const StepFEA_Array1OfDegreeOfFreedom &Other)
const StepFEA_Array1OfDegreeOfFreedom & | operator= (const StepFEA_Array1OfDegreeOfFreedom &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepFEA_DegreeOfFreedom &Value)
const StepFEA_DegreeOfFreedom & | Value (const Standard_Integer Index) const
const StepFEA_DegreeOfFreedom & | operator() (const Standard_Integer Index) const
StepFEA_DegreeOfFreedom & | ChangeValue (const Standard_Integer Index)
StepFEA_DegreeOfFreedom & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepFEA_Array1OfDegreeOfFreedom (const StepFEA_Array1OfDegreeOfFreedom &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Array1OfDegreeOfFreedom::StepFEA_Array1OfDegreeOfFreedom | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_Array1OfDegreeOfFreedom::StepFEA_Array1OfDegreeOfFreedom | ( | const StepFEA_DegreeOfFreedom & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepFEA_Array1OfDegreeOfFreedom::~StepFEA_Array1OfDegreeOfFreedom | ( |  | ) | `[inline]`

Standard_EXPORT StepFEA_Array1OfDegreeOfFreedom::StepFEA_Array1OfDegreeOfFreedom | ( | const StepFEA_Array1OfDegreeOfFreedom & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepFEA_Array1OfDegreeOfFreedom& StepFEA_Array1OfDegreeOfFreedom::Assign | ( | const StepFEA_Array1OfDegreeOfFreedom & | Other | ) |

StepFEA_DegreeOfFreedom& StepFEA_Array1OfDegreeOfFreedom::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepFEA_Array1OfDegreeOfFreedom::Destroy | ( |  | ) |

Standard_EXPORT void StepFEA_Array1OfDegreeOfFreedom::Init | ( | const StepFEA_DegreeOfFreedom & | V | ) |

Standard_Boolean StepFEA_Array1OfDegreeOfFreedom::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfDegreeOfFreedom::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfDegreeOfFreedom::Lower | ( |  | ) | const

void StepFEA_Array1OfDegreeOfFreedom::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepFEA_Array1OfDegreeOfFreedom::operator new | ( | size_t | size | ) | `[inline]`

void* StepFEA_Array1OfDegreeOfFreedom::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepFEA_DegreeOfFreedom& StepFEA_Array1OfDegreeOfFreedom::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepFEA_DegreeOfFreedom& StepFEA_Array1OfDegreeOfFreedom::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepFEA_Array1OfDegreeOfFreedom& StepFEA_Array1OfDegreeOfFreedom::operator= | ( | const StepFEA_Array1OfDegreeOfFreedom & | Other | ) | `[inline]`

void StepFEA_Array1OfDegreeOfFreedom::SetValue | ( | const Standard_Integer | Index,
|  | const StepFEA_DegreeOfFreedom & | Value
| ) |

Standard_Integer StepFEA_Array1OfDegreeOfFreedom::Upper | ( |  | ) | const

const StepFEA_DegreeOfFreedom& StepFEA_Array1OfDegreeOfFreedom::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepFEA_Array1OfDegreeOfFreedom::isAllocated `[private]`

Standard_Integer StepFEA_Array1OfDegreeOfFreedom::myLowerBound `[private]`

Standard_Address StepFEA_Array1OfDegreeOfFreedom::myStart `[private]`

Standard_Integer StepFEA_Array1OfDegreeOfFreedom::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepFEA_Array1OfDegreeOfFreedom.hxx